import os
import time

fn main() {
	// get password, hint and secret from the environment variables at compile time
	password := $env('PASSWORD')
	hint := $env('HINT')
	secret := $env('SECRET')
	
	println('Welcome to the password game :3')

	mut attempts := 0

	// loop
	for {
		// ask user for password
		guess := os.input('Try and guess the password: ')

		if guess.len > password.len { // too long
			println('Your guess was too long!')
		} else if guess.len < password.len { // too short
			println('Your guess was too short!')
		} else if guess == password { // correct!
			println('Password correct! secret unlocked')
			time.sleep(1 * time.second)
			println(secret)
		} else if guess.to_lower() == password.to_lower() { // case-insensitive check
			println('Close! try with different letter casing')
		} else if attempts == 5 {
			println('I feel bad, so heres a hint:')
			time.sleep(1 * time.second)
			println(hint)
		} else {
			println('Incorrect password')
		}

		attempts++
	}
}
